Infrastructure - Task #3310

Story # 3309 (Closed): get() downloads have inconsistent mime types and filenames

Create object format/ mime type / file extension mapping
2012-10-08 20:41 - Matthew Jones

Status: Closed Start date: 2012-10-08
Priority: Normal Due date:

Assignee: Matthew Jones % Done: 100%
Category: Documentation Estimated time: 0.00 hour
Target version: CCl-2.0.0

Milestone: CCl-1.2 Story Points:

Product Version: *

Description

Need a mapping document that relates object formats to mime types to file extensions. Eventually this should be in the object format
registry, but in the interim we might just create a list.

History

#1 - 2012-10-09 02:07 - Matthew Jones
- File ObjectFormatList.xml added
- File ObjectFormatList.xml added
- File ObjectFormatList.xIsx added
- File ObjectFormatList.xIsx added

Created initial candidate mime type mappings. See attached xIs and xml files.

#2 - 2012-10-09 02:08 - Matthew Jones

- Status changed from New to In Progress

#3 - 2012-10-10 17:40 - Matthew Jones
Checked file into SVN here:

https://repository.dataone.org/software/cicore/trunk/d1_common_java/src/main/resources/org/dataone/service/resources/config/vi/objectFormatList.x
ml

Still needs to be reviewed and then used to update the official list stored in the CNs.

#4 - 2012-10-10 17:46 - Matthew Jones

- Assignee changed from Matthew Jones to Chris Jones

#5 - 2012-10-11 15:35 - Dave Vieglais
- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

#6 - 2012-10-24 17:39 - Chris Jones
- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#7 - 2012-10-25 08:16 - Matthew Jones
- % Done changed from 0 to 100
https://repository.dataone.org/software/cicore/trunk/d1_common_java/src/main/resources/org/dataone/service/resources/config/v1/objectFormatList.xml
https://repository.dataone.org/software/cicore/trunk/d1_common_java/src/main/resources/org/dataone/service/resources/config/v1/objectFormatList.xml

- Assignee changed from Chris Jones to Matthew Jones

The mapping is completed and reviewed. FOr now we decided not to update the ObjectFormat file on the CNs. Instead, utility classes will be added
to the java and python libclient libraries to allow applications to look up a mime type and file extension for each formatid. Those will be handled under

separate tasks.

#8 - 2012-10-25 08:17 - Matthew Jones
- translation missing: en.field_remaining_hours set to 0.0

- Status changed from In Progress to Closed

#9 - 2012-12-12 18:33 - Chris Jones
- Target version changed from Sprint-2012.44-Block.6.2 to 2013.2-Block.1.1

#10 - 2013-03-01 19:09 - Chris Jones
- Target version changed from 2013.2-Block.1.1 to 2013.12-Block.2.2

#11 - 2013-08-02 17:20 - Dave Vieglais
- Target version changed from 2013.12-Block.2.2 to 2013.35-Block.5. 1

#12 - 2014-01-06 18:04 - Chris Jones
- Target version changed from 2013.35-Block.5.1 to 2014.6-Block.1.3

#13 - 2014-03-14 18:47 - Roger Dahl
- Target version changed from 2014.6-Block.1.3 to 2014.14-Block.2.3

#14 - 2014-09-24 18:28 - Dave Vieglais
- Target version changed from 2014.14-Block.2.3 to CCI-1.4.2

#15 - 2014-09-25 16:47 - Dave Vieglais
- Target version changed from CCI-1.4.2 to CCI-1.5.0

#16 - 2014-10-02 19:41 - Dave Vieglais
- Target version changed from CCI-1.5.0 to CCI-2.0.0

Files
ObjectFormatList.xlsx 12.6 KB 2012-10-09 Matthew Jones
ObjectFormatList.xml 25.6 KB 2012-10-09 Matthew Jones
